Class | Nokogiri::XML::XPathContext
In: | lib/nokogiri/ffi/xml/xpath_context.rb lib/nokogiri/xml/xpath_context.rb ext/nokogiri/html_document.c
Parent: | Object

XPathContext is the entry point for searching a Document by using XPath.

### Methods

evaluate new register_namespaces register_ns

### Public Class methods

new(node)

Create a new XPathContext with `node` as the reference point.

### Public Instance methods

evaluate(search_path)

Evaluate the `search_path` returning an XML::XPath object.

register_namespaces(namespaces)

Register namespaces in `namespaces`

register_ns(prefix, uri)

Register the namespace with `prefix` and `uri`.

[Validate]